## NMDeviceModem NMDeviceModem |

## Functions

NMDeviceModemCapabilities | nm_device_modem_get_modem_capabilities ()
NMDeviceModemCapabilities | nm_device_modem_get_current_capabilities ()
const char * | nm_device_modem_get_device_id ()
const char * | nm_device_modem_get_operator_code ()
const char * | nm_device_modem_get_apn ()

## Properties

char * | apn | Read
NMDeviceModemCapabilities | current-capabilities | Read
char * | device-id | Read
NMDeviceModemCapabilities | modem-capabilities | Read
char * | operator-code | Read

## Types and Values

#define | NM_DEVICE_MODEM_MODEM_CAPABILITIES
#define | NM_DEVICE_MODEM_CURRENT_CAPABILITIES
#define | NM_DEVICE_MODEM_DEVICE_ID
#define | NM_DEVICE_MODEM_OPERATOR_CODE
#define | NM_DEVICE_MODEM_APN
| NMDeviceModem

## Object Hierarchy

        GObject
        ╰── NMObject
            ╰── NMDevice
                ╰── NMDeviceModem

## Description

## Functions

### nm_device_modem_get_modem_capabilities ()

    NMDeviceModemCapabilities
    nm_device_modem_get_modem_capabilities
                                   (NMDeviceModem *self);

Returns a bitfield of the generic access technology families the modem supports. Not all capabilities are available concurrently however; some may require a firmware reload or reinitialization.

#### Parameters

self | a NMDeviceModem |

#### Returns

the generic access technology families the modem supports

### nm_device_modem_get_current_capabilities ()

    NMDeviceModemCapabilities
    nm_device_modem_get_current_capabilities
                                   (NMDeviceModem *self);

Returns a bitfield of the generic access technology families the modem supports without a firmware reload or reinitialization. This value represents the network types the modem can immediately connect to.

#### Parameters

self | a NMDeviceModem |

#### Returns

the generic access technology families the modem supports without a firmware reload or other reinitialization

### nm_device_modem_get_device_id ()

    const char *
    nm_device_modem_get_device_id (NMDeviceModem *self);

An identifier used by the modem backend (ModemManager) that aims to uniquely identify the a device. Can be used to match a connection to a particular device.

#### Parameters

self | a NMDeviceModem |

#### Returns

a device-id string

Since: 1.20

### nm_device_modem_get_operator_code ()

    const char *
    nm_device_modem_get_operator_code (NMDeviceModem *self);

The MCC and MNC (concatenated) of the network the modem is connected to.

#### Parameters

self | a NMDeviceModem |

#### Returns

the operator code or `NULL` if disconnected or not a 3GPP modem.

Since: 1.20

### nm_device_modem_get_apn ()

    const char *
    nm_device_modem_get_apn (NMDeviceModem *self);

The access point name the modem is connected to.

#### Parameters

self | a NMDeviceModem |

#### Returns

the APN name or `NULL` if disconnected

Since: 1.20

## Types and Values

### NM_DEVICE_MODEM_MODEM_CAPABILITIES

    #define NM_DEVICE_MODEM_MODEM_CAPABILITIES   "modem-capabilities"

### NM_DEVICE_MODEM_CURRENT_CAPABILITIES

    #define NM_DEVICE_MODEM_CURRENT_CAPABILITIES "current-capabilities"

### NM_DEVICE_MODEM_DEVICE_ID

    #define NM_DEVICE_MODEM_DEVICE_ID            "device-id"

### NM_DEVICE_MODEM_OPERATOR_CODE

    #define NM_DEVICE_MODEM_OPERATOR_CODE        "operator-code"

### NM_DEVICE_MODEM_APN

    #define NM_DEVICE_MODEM_APN                  "apn"

### NMDeviceModem

    typedef struct _NMDeviceModem NMDeviceModem;

## Property Details

### The `“apn”` property

      “apn”                      char *

Owner: NMDeviceModem

Flags: Read

Default value: NULL

Since: 1.20

### The `“current-capabilities”` property

      “current-capabilities”     NMDeviceModemCapabilities

The generic family of access technologies the modem currently supports without a firmware reload or reinitialization.

Owner: NMDeviceModem

Flags: Read

### The `“device-id”` property

      “device-id”                char *

Owner: NMDeviceModem

Flags: Read

Default value: NULL

Since: 1.20

### The `“modem-capabilities”` property

      “modem-capabilities”       NMDeviceModemCapabilities

The generic family of access technologies the modem supports. Not all capabilities are available at the same time however; some modems require a firmware reload or other reinitialization to switch between eg CDMA/EVDO and GSM/UMTS.

Owner: NMDeviceModem

Flags: Read

### The `“operator-code”` property

      “operator-code”            char *

Owner: NMDeviceModem

Flags: Read

Default value: NULL

Since: 1.20